.journal__main-content {
  display: flex;
}

.journal__sidebar{
  outline: none;
  display: flex;
  flex-direction: column;
  //flex-direction: row;
  height: 100vh;
  padding-left: 10px;
  padding-right: 10px;
  width: 300px;
}

.journal__sidebar-light, .journal__sidebar-dark {
  background-color: $journal-light;
  color: #3e3b3b;
}

.journal__sidebar-dark {
  background-color: $journal-dark;
  color: white;
}


.journal__sidebar-navbar {
  margin: 50px 0 50px 0;
  display: flex;
  justify-content: space-between;
}


// Different themes
.journal__modeTheme-light, .journal__modeTheme-dark {
  align-self: center;
  //padding-right: 10px;
  cursor: pointer;
  color: white;
}

.journal__modeTheme-dark {
  transform: rotate(1turn);
  color: black;
}

.fa-rotate-180 {
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  -ms-transform: rotate(180deg);
  -o-transform: rotate(180deg);
  transform: rotate(180deg);
}


.journal__profile-photo {
  width: auto;
  height: 35px;
  //height: 35%;
  border-radius: 50%;
  align-self: center;
}

.journal__profile-name {
  font-weight: lighter;
  align-self: center;
}


.journal__logout {
  font-size: 15px;
  color: #94C493;
  align-self: center;
  //margin: 0;
  //padding: 0;
}


.journal__new-entry {
  align-items: center;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  justify-content: center;
  //margin-top: 0px;
  width: 100%;

  transition: color .3s ease;

  &:hover {
    color: darken($color: white, $amount: 30);
  }

}

.journal__entries {
  flex: 1 1 auto;
  margin-top: 30px;
  overflow-y: scroll;
}

.journal__entry {
  background-color: white;
  border-radius: 4px;
  color: $dark-grey;
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
  overflow: hidden;
}

.journal__entry-picture {
  height: 75px;
  width: 75px;
}

.journal__entry-body {
  padding: 10px;
}

.journal__entry-title {
  font-size: 14px;
  font-weight: bold;
}

.journal__entry-content {
  font-size: 10px;
}

.journal__entry-date-box {
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 5px;
}

.journal__entry-date-box span {
  font-size: 13px;
}

.journal__spinner {
  //background-color: red;
  margin-top: 150px;
  display: flex;
  justify-content: center;
}

.journal__empty {
  text-align: center;
}

.sidebar-close {
  display: none;

  transition: display .8s ease;
}

.journal__contract{
  margin-left: 5px;
  margin-top: 5px;
}
